Coin: ScXMLCoinAddOpExprDataObj Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

ScXMLCoinAddOpExprDataObj Class Reference
Inheritance diagram for ScXMLCoinAddOpExprDataObj:

## Public Member Functions
virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
Public Member Functions inherited from ScXMLAddOpExprDataObj
| ScXMLAddOpExprDataObj (ScXMLDataObj *lhs, ScXMLDataObj *rhs)
void | setLHS (ScXMLDataObj *lhs)
const ScXMLDataObj * | getLHS (void) const
void | setRHS (ScXMLDataObj *rhs)
const ScXMLDataObj * | getRHS (void) const
Public Member Functions inherited from ScXMLExprDataObj
ScXMLDataObj * | evaluate (ScXMLStateMachine *sm)
Public Member Functions inherited from ScXMLDataObj
void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLAddOpExprDataObj
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
static ScXMLDataObj * | createFor (ScXMLDataObj *lhs, ScXMLDataObj *rhs)
Static Public Member Functions inherited from ScXMLExprDataObj
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLDataObj
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Protected Member Functions
virtual SbBool | evaluateNow (ScXMLStateMachine *sm, ScXMLDataObj *&pointer) const

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Member Function Documentation

## ◆ getTypeId()

SoType ScXMLCoinAddOpExprDataObj::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Reimplemented from ScXMLAddOpExprDataObj.

## ◆ evaluateNow()

SbBool ScXMLCoinAddOpExprDataObj::evaluateNow | ( | ScXMLStateMachine * | sm,
|  | ScXMLDataObj *& | pointer ) const
| protectedvirtual

Reimplemented from ScXMLAddOpExprDataObj.

The documentation for this class was generated from the following files:

- ScXMLCoinEvaluator.h
- ScXMLCoinEvaluator.cpp